/*
 * Copyright (c) 2020 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-BSD-5-Clause-Nordic
 */

#include <zephyr.h>

#include <logging/log.h>
LOG_MODULE_REGISTER(test_thread, LOG_LEVEL_INF);

#define TEST_SAMPLE_INTERVAL	20  //unit:s




void test_thread(void)
{	
	
	//LOG_INF("**test tread example");

	while (1) {                
        //LOG_INF("#####test thread#####");
        k_sleep(K_SECONDS(TEST_SAMPLE_INTERVAL));
		//	k_sleep(K_MSEC(10)); 	   
	}
}

K_THREAD_DEFINE(test_thread_id, 1024, test_thread, NULL, NULL,
		NULL, 8, 0, 1);